C'è un motivo per aggiornare Internet Explorer su Windows Server?

Non uso mai Internet Explorer sui miei server Windows. C'è qualche ragione per cui dovrei aggiornare Internet Explorer (versione 6 o 7 a 7 o 8)?

  • Amministrazione di Windows Server - quali servizi sono sicuri per affrontare Internet?
  • Imansible aggiornare il server Windows 2008 con WSUS installato su di esso
  • Come verificare se WMI è rotto o less?
  • IIS 7 - Abilitazione delle sequenze url di negazione con backslash
  • Come faccio a gestire un amministratore non amministratore di IIS 7 su un controller di dominio?
  • Come copiare un programma Windows in un'altra macchina Windows?
  • Come posso scaricare gli aggiornamenti su Windows Server 2008 senza installarli?
  • Verificare se i file possono essere risolti con successo dall'archivio 7Zip
  • 10 Solutions collect form web for “C'è un motivo per aggiornare Internet Explorer su Windows Server?”

    Tenga presente che anche se non è ansible utilizzare direttamente IE, il motore di rendering IE o altri componenti può essere utilizzato da altre applicazioni che è ansible eseguire.

    Penso che avrebbe dovuto tenere aggiornato.

    Decisamente. Se l'hai installato, preferisco eseguire una versione più aggiornata per quanto riguarda la sicurezza. Featurewise è un punto cruciale, ma preferisco non avere amministratori che navigano in IE6 sui miei server.

    Ottimamente nessuno usa IE sui server, ma sappiamo che ** succede.

    Qualcuno (persona o applicazione) potrebbe utilizzarlo, ora o in futuro, perciò mantenete sempre il livello di patch di tutte le applicazioni installate il più recente ansible.

    Il vantaggio principale che vedo sarebbe la sicurezza.

    Solo vale la pena aggiornare e le altre ragioni menzionate: altre applicazioni possono utilizzarlo, altri utenti possono usarla e per i test sono in profondità da considerare.

    Tuttavia, la scommessa migliore potrebbe essere quella di aspettare un paio di settimane in modo che i bug iniziali vengano srotolati quindi eseguire l'aggiornamento.

    Ci sembra sempre un grande difetto di sicurezza nelle nuove versioni di IE.

    Come molte cose in questo mondo, dipende:

    Se nel tuo negozio hai applicazioni web basate su Internet che potrebbe essere necessario accedere da uno di questi server (*) e che l'applicazione non funziona con IE7 o IE8, allora no. Altrimenti, non vedo niente di sbagliato con l'aggiornamento della versione di IE come parte del tuo ciclo di aggiornamento regolare, ma non mi preoccuperei di correre.

    (*) In generale, non dovresti usare un browser su un server per accedere a qualsiasi applicazione web. Ecco perché sono le stazioni di lavoro; e ancora, se tu oi tuoi utenti dipendi da IE6, allora no, non aggiornalo. Impostare una casella di prova in IE7 / IE8 e controllare le applicazioni Web.

    La maggior parte dei sisthemes necessitano di aggiornamenti di IE per Windows, quindi sì, tenerlo aggiornato.

    Anche se non si aggiorna, non credo che sarà un problema: grazie al criterio di sicurezza protetto da uber, applicato a Internet Explorer per impostazione predefinita, IE6 è già svalutato in uno stato che lo rende inutile

    btw, ie6 è come una compilazione di bug, vorrei fortemente suggerire di aggiornare

    Fino a quando non riceviamo una versione del server senza IE, dobbiamo essere aggiornati. IE ha sempre avuto più di una parte equa delle vulnerabilità e il suo server deve essere protetto.

    Stranamente, non aggiornare IE mi proteggeva dal virus nimda.

    Ho usato per eseguire un server SCM che utilizzava NT 4.0, fornito con IE 2, e non avevo mai aggiornato. Malgrado il fatto che avessi configurato il server per consentire solo le connessioni dall'indirizzo IP interno, Nimda aveva infettato il nostro server di scambio, così ancora è riuscito ad accedere al mio server utilizzando il trucco di codifica .. \ .. alt. Tuttavia, Nimda non è riuscito a infettare il mio server perché ha utilizzato un fnc in WININET che non era nel WININET di IE 2.0. I miei registri IIS erano pieni di questi tentativi falliti. Ci sono voluti molto tempo per capire perché il mio server non ha effettivamente una infezione da Nimda.

    Se avessi aggiornato a IE3, il mio server sarebbe stato infetto. (Preferirei che IE non sia installato affatto).

    Io aggiorna IE selettivamente. Se il server viene eseguito o è gestito da un'applicazione web, non assolutamente aggiornerò finché non sono sicuro che l'applicazione lo supporti. Altrimenti se la cosa non dovrebbe mai essere utilizzata o lanciata, aggiornerò subito. Ho avuto strumenti web admin interrotti da aggiornamenti IE e dovuto downgrade prima di poter risolvere i problemi.

    Suggerimenti per Linux e Windows Server, quali Ubuntu, Centos, Apache, Nginx, Debian e argomenti di rete.